%matlab-script: visualize.m

%graphical output

  switch scheme
    case 1, method = 'Upwind';
    case 2, method = 'Lax-Friedrichs';
    case 3, method = 'Lax-Wendroff';
  end;

  clf; hold on;
  axis([alfa beta -0.5 1.5]);
  plot([x,  beta],[u,  u(1)],'k:*');
  plot([x10,beta],[ue,ue(1)],'r');
  text(alfa+0.02*(beta-alfa),1.45,['iteration: n = ' int2str(n)]);
  text(alfa+0.02*(beta-alfa),1.35,['time: t = ' num2str(t)]);
  text(alfa+0.02*(beta-alfa),1.25,['dt = ' num2str(dt) '  dx = ' num2str(dx)]);
  if(start==1)
    title('Moving step with periodic boundary condition');
  else
    title('Moving peak with periodic boundary condition');
  end;
  legend(method,'exact solution');
  %hold off;
  %hold off;
  pause(0.001);